# This file was generated by the `rspec --init` command. Conventionally, all
# specs live under a `spec` directory, which RSpec adds to the `$LOAD_PATH`.
# Require this file using `require "spec_helper"` to ensure that it is only
# loaded once.
#
# See http://rubydoc.info/gems/rspec-core/RSpec/Core/Configuration

ENV['BUNDLE_GEMFILE'] ||= File.expand_path('../../Gemfile', __FILE__)

require 'rubygems'
require 'bundler/setup' if File.exists?(ENV['BUNDLE_GEMFILE'])
require 'fileutils'
require 'rspec/its'

require 'simplecov'
SimpleCov.start

require 'turnstile'

require_relative 'support/logging'

RSpec.configure do |config|
  config.order = 'random'

  config.before :all  do
    Turnstile::RSpec::Logging.configure
  end

  config.before :each do
    Turnstile::Redis::Adapter.instance
  end

  config.around :each, logging: true do |ex|
    logging_enabled = Turnstile::Logger.enabled
    Turnstile::Logger.enable
    Turnstile::Logger.info_elapsed('measuring example: ') { ex.run }
    Turnstile::Logger.enabled = logging_enabled
  end
end
